





#ifndef XPATHNODE_H
#define XPATHNODE_H

#include "xasset.h"
#include "xpathnodeconstant.h"
#include "xpathnodedynamic.h"
#include "xpathnodetransient.h"

class XPathNode : public XAsset
{
public:
    explicit XPathNode();

    void ParseData(QDataStream *aStream) override;

    const XPathNodeConstant& GetConstant() const;
    void SetConstant(const XPathNodeConstant& constant);

    const XPathNodeDynamic& GetDynamic() const;
    void SetDynamic(const XPathNodeDynamic& dynamic);

    const XPathNodeTransient& GetTransient() const;
    void SetTransient(const XPathNodeTransient& transient);

private:
    XPathNodeConstant mConstant;
    XPathNodeDynamic mDynamic;
    XPathNodeTransient mTransient;
};

#endif // XPATHNODE_H





